DESC="Compile and link source files in one step"

runtest()
{
  EXEC="${AGCC} -v2 --path ${TestSrcDir} ${TestSrcDir}/*.cc"
  if  ( ${EXEC} );then true;else
    ERR_MSG="Failed executing '${EXEC}'"
    return 1
  fi

  if [ ! \( \( -x a.out \) -o \( -x a.exe \) \) ];then
    ERR_MSG="Executable file was not generated"
    return 1
  fi
}

